-- Create the HengeLocale global table if needed
if not HengeLocale then
	HengeLocale = {}
end
-- Load up AceLocale
local ML = AceLibrary("AceLocale-2.2"):new("TotemHenge")
local isLoaded = false

-- Create our translation loader
function HengeLocale:LoadTotemHenge()
	if not isLoaded then
		-- Register our translations
		ML:RegisterTranslations("enUS", function() return {
			["Earth Totem"] = true,
			["Change earth totem to cast."] = true,
			["Fire Totem"] = true,
			["Change fire totem to cast."] = true,
			["Water Totem"] = true,
			["Change water totem to cast."] = true,
			["Air Totem"] = true,
			["Change air totem to cast."] = true,
			["Weapon Buff"] = true,
			["Change weapon buff to cast."] = true,
			["Cast Earth Totem"] = true,
			["Cast Fire Totem"] = true,
			["Cast Water Totem"] = true,
			["Cast Air Totem"] = true,
			["Cast Weapon Buff"] = true,
			["Earth Totem Menu"] = true,
			["Fire Totem Menu"] = true,
			["Water Totem Menu"] = true,
			["Air Totem Menu"] = true,
			["Weapon Buff Menu"] = true,
			["Reincarnation Cooldown"] = true,
			["Mana"] = true,
			["Mana Potion"] = true,
			["Elemental Shields"] = true,
			["Improved Reincarnation"] = true
		} end)
		isLoaded = true
	end
	-- Return the translation table
	return ML
end
